﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Media.Animation;
using System.Windows.Media;
using System.Windows.Shapes;
using System.Windows;
using System.Windows.Input;

namespace Write_erase.ViewModel
{
    class CaptchaViewModel : INotifyPropertyChanged
    {
        string check;
        public event PropertyChangedEventHandler PropertyChanged;
        Canvas can;
        public CommandBinding bind;
        public Canvas Can
        {
            get => can;
            set => PropertyChanged(can, new PropertyChangedEventArgs("Canvas Changed"));
        }
        public string CreateCaptcha() // метод для создания Canvas, внутри которого рандомно генерируются линии
        {
            SolidColorBrush color = new SolidColorBrush(Color.FromRgb(155, 155, 155));
            Canvas canvas = new Canvas()
            {
                Width = 210,
                Height = 100,
                Background = color
            };
            Random rnd = new Random();
            TextBlock text = new TextBlock()
            {
                Text = Convert.ToString(rnd.Next(0, 9)),
                FontSize = 36,
                Foreground = Brushes.Black,
                Padding = new Thickness(20)
            };
            TextBlock text1 = new TextBlock()
            {
                Text = Convert.ToString(Convert.ToChar(rnd.Next(97, 123))),
                FontSize = 36,
                Foreground = Brushes.Black,
                Padding = new Thickness(40)
            };
            TextBlock text2 = new TextBlock()
            {
                Text = Convert.ToString(rnd.Next(0, 20)),
                FontSize = 36,
                Foreground = Brushes.Black,
                Padding = new Thickness(60, 10, 0, 0),
            };
            TextBlock text3 = new TextBlock()
            {
                Text = Convert.ToString(Convert.ToChar(rnd.Next(97, 123))),
                FontSize = 36,
                Foreground = Brushes.Black,
                Padding = new Thickness(100, 2,0,0)
            };
           
            canvas.Children.Add(text);
            canvas.Children.Add(text1);
            canvas.Children.Add(text2);
            canvas.Children.Add(text3);
            check = text.Text + text1.Text + text2.Text + text3.Text;
            for (int i = 0; i <= 10; i++)
            {
                Line line = new Line()
                {
                    X1 = rnd.Next(220),
                    Y1 = rnd.Next(100),
                    X2 = rnd.Next(220),
                    Y2 = rnd.Next(100),
                    Stroke = new SolidColorBrush(Color.FromRgb(Convert.ToByte(rnd.Next(0, 155)), Convert.ToByte(rnd.Next(0, 155)), Convert.ToByte(rnd.Next(0, 155)))),
                    StrokeThickness = 2
                };
                canvas.Children.Add(line);
            }
            Can = canvas;
            return check;
        }
    }
}
