﻿using EasyCaptcha.Wpf;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Write_erase.Classes;

namespace Write_erase.MainPages
{
    /// <summary>
    /// Логика взаимодействия для AutorizePage.xaml
    /// </summary>
    public partial class AutorizePage : Page
    {
        string check;
        int id;
        System.Windows.Threading.DispatcherTimer timer = new System.Windows.Threading.DispatcherTimer();
        public AutorizePage()
        {
            InitializeComponent();

        }

        private void Button_Autorize(object sender, RoutedEventArgs e)
        {
            User userNow = DataBaseClass.entity.User.FirstOrDefault(x => x.UserLogin == Login.Text && x.UserPassword == Password.Password);
            if(userNow != null)
            {
                id = userNow.UserID;
                switch (userNow.UserRole)
                {
                    case 2: MessageBox.Show("Добро пожаловать, администратор! "); FrameClass.MFrame.Navigate(new AdminPages.ShowProductPage(userNow.UserID)); break;
                    case 1: MessageBox.Show("Добро пожаловать, пользователь! "); FrameClass.MFrame.Navigate(new UserPages.ShowProductPage(userNow.UserID)); break;
                    case 3: MessageBox.Show("Добро пожаловать, менеджер! "); FrameClass.MFrame.Navigate(new ManagerPages.ShowProductPage(userNow.UserID)); break;
                    default: MessageBox.Show("Пользователь не найден!"); Login.Visibility = Visibility.Collapsed; Password.Visibility = Visibility.Collapsed; break;

                }
            }
        }

        private void Button_Guest(object sender, RoutedEventArgs e)
        {
            FrameClass.MFrame.Navigate(new GuestFolder.ShowProductPage());
        }
       
    }
}
